import {Component} from '@angular/core';
import {ViewController} from "ionic-angular";
import * as Mock from "mockjs";
import {HomeService} from "../../pages/home/home.service";

@Component({
    selector: 'search-person',
    templateUrl: 'search-person.html'
})
export class SearchPersonComponent {

    text: string;
    personList = [];

    constructor(public viewCtrl: ViewController, private homeSer: HomeService) {
        Mock.mock(/mockjs/, "get", {
            "data|15": [
                {
                    "fullName": "@cname",
                    "mobilePhone": /^1[385][1-9]\d{8}/,
                    "telPhone": "021-4719236",
                    "abbreviation|+1": 201,
                    "orgName|+1": ["研究室", "办公室", "综合干部处", "地区干部处", "党政干部处", "经济干部处", "企业干部处", "宣教科技干部处",
                        "公务员一处", "公务员二处", "公务员三处", "干部教育处"],
                }
            ]
        });
        this.getPersonList()
    }

    //人员列表
    getPersonList() {
        this.homeSer.getPersonList().subscribe(
            (res) => {
                this.personList = res.data;
            }
        )
    }

    dismiss() {
        this.viewCtrl.dismiss();
    }

    cancel() {
        this.viewCtrl.dismiss();
    }

    selectPerson(item) {
        this.viewCtrl.dismiss();
    }

}
