import {Component} from '@angular/core';
import {IonicPage, ModalController, NavController, NavParams} from 'ionic-angular';
import {DealService} from "../deal.service";
import {Detail5Page} from "../detail5/detail5";
import {Detail1Page} from "../detail1/detail1";
import {Detail2Page} from "../detail2/detail2";
import {Detail3Page} from "../detail3/detail3";
import {Detail4Page} from "../detail4/detail4";
import {HistoryPage} from "../history/history";
import {ApprovalsPage} from "../approvals/approvals";
import {FileListPage} from "../file-list/file-list";
import {SearchPersonComponent} from "../../../components/search-person/search-person";

@Component({
    selector: 'page-deal-detail',
    templateUrl: 'deal-detail.html',
})
export class DealDetailPage {

    itemInfo;
    type;   //db
    obj = {
        opinion: "",
        flag: 0,
    };

    constructor(public navCtrl: NavController, public navParams: NavParams,
                private dealSer: DealService, private modalCtrl: ModalController) {
        this.itemInfo = this.navParams.get("item");
        this.type = this.navParams.get("type");
    }

    ionViewDidLoad() {
        const data = {
            id: this.itemInfo.id
        };
        this.dealSer.scheduleDetail(data).subscribe(
            (res) => {

            }
        )
    }

    //打开审核历史
    openHistory() {
        let modalCtrl = this.modalCtrl.create(HistoryPage, {}, {
            enterAnimation: 'modal-from-right-enter',
            leaveAnimation: 'modal-from-right-leave'
        });
        modalCtrl.present();
    }

    //详细数据
    openTypeDetail() {

    }

    openDetail1() {
        let modalCtrl = this.modalCtrl.create(Detail1Page, {}, {
            enterAnimation: 'modal-from-right-enter',
            leaveAnimation: 'modal-from-right-leave'
        });
        modalCtrl.present();
    }

    openDetail2() {
        let modalCtrl = this.modalCtrl.create(Detail2Page, {}, {
            enterAnimation: 'modal-from-right-enter',
            leaveAnimation: 'modal-from-right-leave'
        });
        modalCtrl.present();
    }

    openDetail3() {
        let modalCtrl = this.modalCtrl.create(Detail3Page, {}, {
            enterAnimation: 'modal-from-right-enter',
            leaveAnimation: 'modal-from-right-leave'
        });
        modalCtrl.present();
    }

    openDetail4() {
        let modalCtrl = this.modalCtrl.create(Detail4Page, {}, {
            enterAnimation: 'modal-from-right-enter',
            leaveAnimation: 'modal-from-right-leave'
        });
        modalCtrl.present();
    }

    openDetail5() {
        let modalCtrl = this.modalCtrl.create(Detail5Page, {}, {
            enterAnimation: 'modal-from-right-enter',
            leaveAnimation: 'modal-from-right-leave'
        });
        modalCtrl.present();
    }

    //选择批文
    openApproval() {
        let modal = this.modalCtrl.create(ApprovalsPage, {
            enterAnimation: 'modal-scale-enter',
            leaveAnimation: 'modal-scale-leave'
        });
        modal.onDidDismiss(data => {
            if (data) {
            }
        });
        modal.present();
    }

    //查看附件
    viewFile() {
        let modalCtrl = this.modalCtrl.create(FileListPage, {}, {
            enterAnimation: 'modal-from-right-enter',
            leaveAnimation: 'modal-from-right-leave'
        });
        modalCtrl.present();
    }

    sureSubmit() {

    }
}
