import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams} from 'ionic-angular';
import * as Mock from "mockjs";
import {DealService} from "./deal.service";
import {DealDetailPage} from "./deal-detail/deal-detail";
import {Detail1Page} from "./detail1/detail1";
import {Detail5Page} from "./detail5/detail5";
import {Detail4Page} from "./detail4/detail4";
import {Detail3Page} from "./detail3/detail3";
import {Detail2Page} from "./detail2/detail2";
import {b} from "@angular/core/src/render3";

@IonicPage()
@Component({
    selector: 'page-deal',
    templateUrl: 'deal.html',
})
export class DealPage {
    option = {
        type: '0',
        list: [
            {name: "全部", type: '0'},
            {name: "事业单位", type: '1'},
            {name: "机关团体", type: '2'},
            {name: "其他", type: '3'}
        ]
    };
    type = {
        option: 1,
        list: [],
        setList: [],  //设立 1
        changeList: [],  //变更 2
        cancelList: [],  //注销 3
        getList: [],  //补领 4
    };

    constructor(public navCtrl: NavController, public navParams: NavParams,
                private dealSer: DealService) {
    }

    ionViewDidLoad() {
        Mock.mock(/mockjs/, "post", {
            "list|35": [
                {
                    "org|1": ['上海市闵行区应急指挥中心', '上海市金山区退役军人服务中心', '上海市青浦区徐泾第一小学', '上海市青浦区信访事务受理中心',
                        '上海市奉贤区融媒体中心', '上海市闵行区融媒体中心(闵行报社、上海媒体)'],
                    "id|+1": 1,
                    "flow|1": ['1', '2', '3', '4'],
                    "status|1": ['1', '2', '3', '4', '5'],
                }
            ]
        });
        console.log('ionViewDidLoad DealPage');
        this.changeOption();
    }

    changeOption() {
        const data = {
            type: this.option.type,
            flow: "0",
            areaCode: "",
        };
        this.dealSer.searchSchedule(data).subscribe(
            (res) => {
                if (res.list) {
                    this.type.setList = res.list.filter(e => e.flow == 1);
                    this.type.changeList = res.list.filter(e => e.flow == 2);
                    this.type.cancelList = res.list.filter(e => e.flow == 3);
                    this.type.getList = res.list.filter(e => e.flow == 4);
                    this.type.list = this.type.list.concat(this.type.setList);
                }
            }
        )
    }

    //change
    changeType(type) {
        this.type.option = type;
        this.type.list = [];
        if (type == 1) this.type.list = this.type.list.concat(this.type.setList);
        if (type == 2) this.type.list = this.type.list.concat(this.type.changeList);
        if (type == 3) this.type.list = this.type.list.concat(this.type.cancelList);
        if (type == 4) this.type.list = this.type.list.concat(this.type.getList);
    }

    handle(item) {

    }

    goToDetail(item) {
        this.navCtrl.push(DealDetailPage, {item: item});
    }
}
