import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams} from 'ionic-angular';
import {ContactDetailPage} from "../contact-detail/contact-detail";
import * as Mock from "mockjs";
import {HomeService} from "../home.service";

@Component({
    selector: 'page-contact-list',
    templateUrl: 'contact-list.html',
})
export class ContactListPage {

    personList = [];
    org;

    constructor(public navCtrl: NavController, public navParams: NavParams,
                private homeSer: HomeService) {
        this.org = this.navParams.get('org');
    }

    ionViewDidLoad() {
        Mock.mock(/mockjs/, "get", {
            "data|15": [
                {
                    "fullName": "@cname",
                    "mobilePhone": /^1[385][1-9]\d{8}/,
                    "telPhone": "021-4719236",
                    "abbreviation|+1": 201,
                }
            ]
        });
        this.getPersonList();
    }

    //人员列表
    getPersonList() {
        this.homeSer.getPersonList().subscribe(
            (res) => {
                this.personList = res.data;
            }
        )
    }

    //人员详情
    goToInfo(person) {
        this.navCtrl.push(ContactDetailPage, {person: person});
    }

}
