import {Component} from '@angular/core';
import {IonicPage, ModalController, NavController, NavParams} from 'ionic-angular';
import {SearchPersonComponent} from "../../../components/search-person/search-person";
import {ContactListPage} from "../contact-list/contact-list";
import * as Mock from "mockjs"
import {HomeService} from "../home.service";

@Component({
    selector: 'page-contact',
    templateUrl: 'contact.html',
})
export class ContactPage {

    organizationList = []; //组织列表
    constructor(public navCtrl: NavController, public navParams: NavParams,
                private ModalCtrl: ModalController, private homeSer: HomeService) {
    }

    ionViewDidLoad() {
        Mock.mock(/mockjs/, "get", {
            "data|12": [
                {
                    "orgName|+1": ["研究室", "办公室", "综合干部处", "地区干部处", "党政干部处", "经济干部处", "企业干部处", "宣教科技干部处",
                        "公务员一处", "公务员二处", "公务员三处", "干部教育处"],
                    "id|+1": 1,
                }
            ]
        });
        this.getOrgList();
    }

    getOrgList() {
        this.homeSer.getOrgList().subscribe(
            (res) => {
                this.organizationList = res.data;
            }
        )
    }

    //跳转页面
    goTo(page) {
        this.navCtrl.push(page);
    }

    //人员列表
    goToList(org) {
        this.navCtrl.push(ContactListPage, {org: org});
    }

    //查询人员
    search() {
        let modal = this.ModalCtrl.create(SearchPersonComponent, {
            enterAnimation: 'modal-scale-enter',
            leaveAnimation: 'modal-scale-leave'
        });
        modal.onDidDismiss(data => {
            if (data) {
            }
        });
        modal.present();
    }

}
