import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams} from 'ionic-angular';


@Component({
    selector: 'page-data-report',
    templateUrl: 'data-report.html',
})
export class DataReportPage {
    echartData1;
    echartData2;
    count = {
        lastCount: "20",
        nowCount: "50",
        YeWuBanLi: "10",
        ShenHeTongGuo: "20",
        ShenHeJuJue: "30",
        FaHuiBuCong: "40"
    };
    data2;

    constructor(public navCtrl: NavController, public navParams: NavParams) {
    }

    ionViewDidLoad() {
        const ser1 = [
            {name: "单位数", value: "7749"},
            {name: "编制数", value: "524845"},
            {name: "实有数", value: "429171"},
        ];
        this.echartData1 = {
            grid: {
                left: "3%",
                right: "4%",
                bottom: "3%",
                width: "100%",
                height: "100%",
                containLabel: true
            },
            tooltip: {
                trigger: 'axis',
                axisPointer: {            // 坐标轴指示器，坐标轴触发有效
                    type: 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
                }
            },
            xAxis: {
                type: 'category',
                data: ser1.map(e => {
                    return e.name
                })
            },
            yAxis: {
                type: 'value',
            },
            series: [
                {
                    data: ser1.map(e => {
                        return e.value
                    }),
                    color: ['#58afed'], //折线颜色
                    type: 'bar',
                    name: '柱状图',

                },
                {
                    data: ser1.map(e => {
                        return e.value
                    }),
                    color: ['#d77ab1'], //折线颜色
                    type: 'line',
                    name: '折线图',
                }
            ]
        };

        const ser2 = [
            {name: "宝山区", value: "100"},
            {name: "嘉定区", value: "100"},
            {name: "金山区", value: "99.74"},
            {name: "杨浦区", value: "99.67"},
            {name: "徐汇区", value: "99.67"},
            {name: "虹口区", value: "99.63"},
            {name: "闵行区", value: "99.25"},
            {name: "奉贤区", value: "98.8"},
            {name: "松江区", value: "98.54"},
            {name: "崇明区", value: "98.29"},
            {name: "青浦区", value: "98.24"},
            {name: "普陀区", value: "98.24"},
            {name: "静安区", value: "97.65"},
            {name: "浦东新区", value: "97.33"},
            {name: "黄浦区", value: "97.17"},
            {name: "长宁区", value: "96.43"},
            {name: "市属", value: "93.17"},
        ];
        this.data2 = ser2;
        this.echartData2 = {
            grid: {
                left: "3%",
                right: "4%",
                bottom: "3%",
                width: "80%",
                height: "80%",
                containLabel: true
            },
            tooltip: {
                trigger: 'axis',
                formatter: '{c}%',
                axisPointer: {            // 坐标轴指示器，坐标轴触发有效
                    type: 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
                }
            },
            xAxis: {
                type: 'category',
                data: ser2.map(e => {
                    return e.name
                }),
                axisLabel: {
                    interval: 0,
                }
            },
            yAxis: {
                type: 'value',
            },
            dataZoom: [{
                type: "slider",         //详细配置可见echarts官网
                show: true,  //是否显示
                realtime: true,  //
                start: 0,  //伸缩条开始位置（1-100），可以随时更改
                end: 10,  //伸缩条结束位置（1-100），可以随时更改
            }],
            series: [
                {
                    data: ser2.map(e => {
                        return e.value
                    }),
                    color: ['#58afed'], //折线颜色
                    type: 'bar',
                    name: '柱状图',

                },
                {
                    data: ser2.map(e => {
                        return e.value
                    }),
                    color: ['#d77ab1'], //折线颜色
                    type: 'line',
                    name: '折线图',
                }
            ]
        };
    }

}
