import {Component} from '@angular/core';
import {IonicPage, ModalController, NavController, NavParams} from 'ionic-angular';
import * as Mock from "mockjs";
import {HomeService} from "../home.service";
import {SearchPersonComponent} from "../../../components/search-person/search-person";
import {DealDetailPage} from "../../deal/deal-detail/deal-detail";

@Component({
    selector: 'page-do-supervise',
    templateUrl: 'do-supervise.html',
})
export class DoSupervisePage {

    dbList;

    constructor(public navCtrl: NavController, public navParams: NavParams,
                private homeSer: HomeService, private ModalCtrl: ModalController) {
    }

    ionViewDidLoad() {
        Mock.mock(/mockjs/, 'get', {
            "list|5": [
                {
                    "id+1": 1,
                    "title|1": ['上海市事业单位法人公示信息抽查实施细则（试行）', '上海市闵行区应急指挥中心实施细则', '上海市闵行区应急指挥中心实施细则', '上海市金山区退役军人服务中心实施细则',
                        '上海市奉贤区融媒体中心实施细则',],
                    "status|1": ["待受理", "待审核", "待审批", "待办证", "待发证"],
                    "flow|1": [1, 2, 3, 4],
                    "process|1-100": 100
                }
            ]
        });
        this.getList();
    }

    getList() {
        this.homeSer.searchDb().subscribe(
            (res) => {
                this.dbList = res.list;
            }
        )
    }

    handleClick(item) {
        let modal = this.ModalCtrl.create(SearchPersonComponent, {
            enterAnimation: 'modal-scale-enter',
            leaveAnimation: 'modal-scale-leave'
        });
        modal.onDidDismiss(data => {
            if (data) {
            }
        });
        modal.present();
    }

    goToDetail(item) {
        this.navCtrl.push(DealDetailPage, {item: item,type:"db"});
    }
}
