import {HttpClient} from "@angular/common/http";
import {Injectable} from "@angular/core";
import {Observable} from "rxjs/Observable";
import {SERVER_API_URL} from "../../app/app.constants";
import {HTTP} from "@ionic-native/http";
import {DataFormatService} from "../../core/dataFormat.service";

@Injectable()
export class HomeService {

    constructor(private http: HttpClient, private nativeHttp: HTTP,
                private dataFormat: DataFormatService) {
    }

    loginpost(data): Observable<any> {
        return this.http.post('/wisdomgroup/app/loginpost', data);
    }

    //单位信息总揽
    units(data): Observable<any> {
        return this.http.post(SERVER_API_URL + '/statis/units', data);
    }

    //通讯录
    getOrgList(): Observable<any> {
        return this.http.get(SERVER_API_URL + '/user/addressinfo');
    }

    //部门人员
    getPersonList(): Observable<any> {
        return this.http.get(SERVER_API_URL + '/user/getPersonList');
    }

    //事项督办
    searchDb(): Observable<any> {
        return this.http.get(SERVER_API_URL + '/schedule/search_db');
    }
}
