import {Component, ViewChild} from '@angular/core';
import {IonicPage, LoadingController, NavController, NavParams, Slides} from 'ionic-angular';
import {TabsPage} from "../tabs/tabs";
import {LoginService} from "./login.service";
import {Storage} from "@ionic/storage";
import {AppService} from "../../app/app.service";
import {CommonService} from "../../core/common.service";
import {CheckCodeComponent} from "../../components/check-code/check-code";
import {Keyboard} from "@ionic-native/keyboard";
import {StatusBar} from "@ionic-native/status-bar";
import {DatePipe} from "@angular/common";
import {RandomWordService} from "../../secret/randomWord.service";

@IonicPage()
@Component({
    selector: 'page-login',
    templateUrl: 'login.html',
})
export class LoginPage {
    @ViewChild('checkCode') checkCode: CheckCodeComponent;

    codeNum;
    user = {
        userName: "李华",
        password: "123456",
        captcha: ""
    };

    constructor(public navCtrl: NavController, public navParams: NavParams, private loadCtrl: LoadingController,
                private datePipe: DatePipe,
                private randomWord: RandomWordService,
                private loginSer: LoginService, private storage: Storage, private appSer: AppService,
                private commonSer: CommonService, private keyboard: Keyboard, public statusBar: StatusBar) {
    }

    ionViewDidLoad() {
        this.checkCode.drawPic();
    }

    login() {
        const data = {};
        if (!this.user.userName || !this.user.password || !this.user.captcha) {
            this.commonSer.toast('请填写完整的登录信息');
            return
        }
        if (this.user.captcha != this.codeNum) {
            this.commonSer.toast("验证码错误!");
            return;
        }
        this.storage.set('mineInfo', this.user);
        this.commonSer.toast('登录成功');
        this.navCtrl.setRoot(TabsPage);
    }

    getCode(e) {
        this.codeNum = e;
    }

    flashCode() {
        this.checkCode.drawPic();
    }

}
