import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams} from 'ionic-angular';
import {NewsService} from "./news.service";
import * as Mock from "mockjs";
import {DealPage} from "../deal/deal";
import {DoSupervisePage} from "../home/do-supervise/do-supervise";

@IonicPage()
@Component({
    selector: 'page-news',
    templateUrl: 'news.html',
})
export class NewsPage {
    newList = [];

    constructor(public navCtrl: NavController, public navParams: NavParams,
                private newSer: NewsService) {
    }

    ionViewDidLoad() {
        Mock.mock(/mockjs/, "post", {
            "list|8": [
                {
                    "id|+1": 1,
                    "title|1": ["督办提醒", "待办提醒"],
                    "sendTime": "@date('yyyy-MM-dd')",
                    "content|1": ["今天您有上海市奉贤区融媒体中心的督办信息", "今天您有上海市青浦区徐泾第一小学待办信息"],
                }
            ]
        });
        this.getList();
    }

    getList() {
        const data = {}
        this.newSer.noticeSearch(data).subscribe(
            (res) => {
                console.log(res);
                this.newList = res.list;
            }
        )
    }

    goDetail(item) {
        if (item.title == "督办提醒") {
            this.navCtrl.push(DoSupervisePage);
        }
        if (item.title == "待办提醒") {
            this.navCtrl.setRoot(DealPage);
        }
    }

}
